Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jdesktop.swingx.prompt
Enum PromptSupport.FocusBehavior

    java.lang.Object
      java.lang.Enum<PromptSupport.FocusBehavior>
          org.jdesktop.swingx.prompt.PromptSupport.FocusBehavior

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PromptSupport.FocusBehavior>

Enclosing class:
  PromptSupport

    public static enum PromptSupport.FocusBehavior

extends java.lang.Enum<PromptSupport.FocusBehavior>

Determines how the `JTextComponent` is rendered when focused and no text is present.

Enum Constant Summary
`HIDE_PROMPT` Hide the prompt text.
`HIGHLIGHT_PROMPT` Highlight the prompt text as it would be selected.
`SHOW_PROMPT` Keep the prompt text visible.

Method Summary
`static PromptSupport.FocusBehavior` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PromptSupport.FocusBehavior[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SHOW_PROMPT

    public static final PromptSupport.FocusBehavior SHOW_PROMPT

  Keep the prompt text visible.

### HIGHLIGHT_PROMPT

    public static final PromptSupport.FocusBehavior HIGHLIGHT_PROMPT

  Highlight the prompt text as it would be selected.

### HIDE_PROMPT

    public static final PromptSupport.FocusBehavior HIDE_PROMPT

  Hide the prompt text.

Method Detail

### values

    public static PromptSupport.FocusBehavior[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PromptSupport.FocusBehavior c : PromptSupport.FocusBehavior.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PromptSupport.FocusBehavior valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010. All Rights Reserved.